/*
	MDG Multiuser Dungeon Game -- help.c help driver
	
	MDG is Copyright 1990 John C. Gonnerman
	This program is subject to the general MDG 
	copyright statement (see enclosed file, Copyright).
*/

static char *sccsvers = "@(#) help.c\t\t(1.1)\tcreated 12/25/90";

#include <curses.h>
#include <fcntl.h>
#include <signal.h>
#include <string.h>
#include <ctype.h>

#include <sys/types.h>
#include <sys/stat.h>

#include "setup.h"
#include "struct.h"
#include "messages.h"
#include "effect.h"
#include "help.h"

struct player_seg *pseg;
struct map_seg *mseg;

extern char *spell_names[];

int dqid, playernum, player_indx;

struct game_msg *gseg;


help()
{
	int sector;


	if((sector = pseg->p[player_indx].loc.sector) >= 0
	&& pseg->p[player_indx].light == 0
	&& mseg->m[sector].light == 0) {
		strcpy(gseg->buf, DARKMSG);
		tell_viewer();
		return;
	}


	switch(pseg->p[player_indx].loc.under) {
	case '>' :
	case '<' :
		strcpy(gseg->buf, STAIRMSG);
		tell_viewer();
		return;

	case POTION :
		sprintf(gseg->buf, ITEMMSG, "potion");
		tell_viewer();
		return;

	case SCROLL :
		sprintf(gseg->buf, ITEMMSG, "scroll");
		tell_viewer();
		return;

	case ARMOR :
		sprintf(gseg->buf, ITEMMSG, "armor");
		tell_viewer();
		return;

	case SHIELD :
		sprintf(gseg->buf, ITEMMSG, "shield");
		tell_viewer();
		return;

	case WEAPON :
		sprintf(gseg->buf, ITEMMSG, "weapon");
		tell_viewer();
		return;

	case MISSILE :
		sprintf(gseg->buf, ITEMMSG, "missile weapon");
		tell_viewer();
		return;

	case OBJECT :
		sprintf(gseg->buf, ITEMMSG, "item");
		tell_viewer();
		return;

	case CRYSTAL :
		sprintf(gseg->buf, ITEMMSG, "crystal");
		tell_viewer();
		return;

	case CASH :
		sprintf(gseg->buf, ITEMMSG, "treasure");
		tell_viewer();
		return;

	case NOTE :
		sprintf(gseg->buf, ITEMMSG, "note");
		tell_viewer();
		return;

	case HIDDEN :
		sprintf(gseg->buf, ITEMMSG, "hidden item");
		tell_viewer();
		return;
	}

	/* default */

	strcpy(gseg->buf, HELPMSG);
	tell_viewer();
}


telltime()
{
	switch(timeofday()) {
	case 0 :
		strcpy(gseg->buf, "It is now NIGHT.");
		break;
	case 1 :
		strcpy(gseg->buf, "It is now MORNING.");
		break;
	case 2 :
		strcpy(gseg->buf, "It is now AFTERNOON.");
		break;
	case 3 :
		strcpy(gseg->buf, "It is now EVENING.");
		break;
	}

	tell_viewer();
}


/* end of file. */
